// Copyright (c) Microsoft Corporation. 
// Licensed under the MIT license.

#include "LODRecipeModule.h"
#include "LODRecipeRegistry.h"

DEFINE_LOG_CATEGORY_STATIC( LogLODRecipeModule, VeryVerbose, All );

#define LOCTEXT_NAMESPACE "LODRecipeModule"

class FLODRecipeModule : public ILODRecipeModule
{
public:
	/** IModuleInterface implementation */
	virtual void StartupModule() override;
	virtual void ShutdownModule() override;
};

IMPLEMENT_MODULE(FLODRecipeModule, LODRecipe )

void FLODRecipeModule::StartupModule()
{
	FLODRecipeRegistry::Get();
}

void FLODRecipeModule::ShutdownModule()
{

}
#undef LOCTEXT_NAMESPACE
